/*-
 * Copyright (c) 1985, 1986, 1993
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	@(#)tablet.h	8.4 (Berkeley) 7/10/94
 * $Id: tablet.h,v 1.5 1996/09/21 14:59:35 bde Exp $
 */

#ifndef	_SYS_DUMBUPS_H_
#define	_SYS_DUMBUPS_H_

/*
 */

#ifndef KERNEL
#include <sys/types.h>
#endif
#include <sys/ioccom.h>


struct ups_statemask {
	int upss_sm;		/* set these bits	*/
	int upss_cm;		/* clear these bits	*/
};

struct ups_states {
	struct ups_statemask ups_init;		/* initialize to these values			*/
	struct ups_statemask ups_off;		/* set/clear to shut off				*/
	struct ups_statemask ups_linefail;	/* if set/clear, line power is missing	*/
	struct ups_statemask ups_battfail;	/* if set/clear, battery will fail soon	*/
};



#define BIOGSTMASK	_IOR('b', 1, struct ups_states)	/* get state bits */
#define BIOSSTMASK	_IOW('b', 2, struct ups_states)	/* set state bits */
#define BIOGSTATUS	_IOR('b', 3, int)				/* get current status */

#define UPSSTATUS_LINEFAIL 0x01
#define UPSSTATUS_BATTFAIL 0x02

#endif /* !_SYS_DUMBUPS_H_ */
